--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Only <tt>:login</tt> is required by default, which is the merchant's merchant ID. If you'd like to perform void, capture or credit transactions then you'll also need to add a username and password to your account under administration -&gt; account settings -&gt; order settings -&gt; Use username/password validation
full_name: ActiveMerchant::Billing::BeanstreamCore::new
is_singleton: true
name: new
params: (options = {})
visibility: public
